#pragma once
#include "../includes.h"
#include "../config.h"
#include "regex.h"

class TokenType {
	public:
		string* regex;

	public:
		TokenType() {
		}
		~TokenType() {

		}
};

class Token {
	public:
		map<>
	private:
		Token() {}
	public:
		static Token get_token();
};
Token Token::get_token() {

}